Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.proxy.dwr
Class Engine

    java.lang.Object
      org.directwebremoting.proxy.ScriptProxy
          org.directwebremoting.proxy.dwr.Engine

    public class Engine

extends ScriptProxy

Engine is a server-side proxy that allows Java programmers to call client side Javascript from Java.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]
See Also:
  `for more documenation on server-side proxies`

Field Summary
`static int` | `IFrame` XHR remoting type constant.
`static int` | `ScriptTag` XHR remoting type constant.
`static int` | `XMLHttpRequest` XHR remoting type constant.

Constructor Summary
`Engine()` Http thread constructor, that affects no browsers.
`Engine(java.util.Collection scriptSessions)` Http thread constructor that alters a number of browsers
`Engine(ScriptSession scriptSession)` Http thread constructor that alters a single browser

Method Summary
`void` | `setActiveReverseAjax(boolean activeReverseAjax)` Does DWR poll the server for updates? (Default: false)
`void` | `setAsync(boolean async)` Do we ask the XHR object to be asynchronous? (Default: true)
`void` | `setHttpMethod(java.lang.String httpMethod)` Which HTTP method do we use to send results? Must be one of "GET" or "POST".
`void` | `setOrdered(boolean ordered)` Ensure that remote calls happen in the order in which they were sent? (Default: false)
`void` | `setPollType(int newPollType)` Set the preferred polling type.
`void` | `setPollUsingComet(boolean pollComet)` Does DWR us comet polling? (Default: true)
`void` | `setRpcType(int newType)` Set the preferred remoting type.
`void` | `setTimeout(int timeout)` Set a default timeout value for all calls.

Methods inherited from class org.directwebremoting.proxy.ScriptProxy
`addFunctionCall, addFunctionCall, addFunctionCall, addFunctionCall, addFunctionCall, addFunctionCall, addScript, addScriptSession, addScriptSessions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMLHttpRequest

    public static final int XMLHttpRequest

  XHR remoting type constant. See dwr.engine.set[Rpc|Poll]Type()

  See Also:
    Constant Field Values

### IFrame

    public static final int IFrame

  XHR remoting type constant. See dwr.engine.set[Rpc|Poll]Type()

  See Also:
    Constant Field Values

### ScriptTag

    public static final int ScriptTag

  XHR remoting type constant. See dwr.engine.setRpcType()

  See Also:
    Constant Field Values

Constructor Detail

### Engine

    public Engine()

  Http thread constructor, that affects no browsers. Calls to `ScriptProxy.addScriptSession(ScriptSession)` or to `ScriptProxy.addScriptSessions(Collection)` will be needed

### Engine

    public Engine(ScriptSession scriptSession)

  Http thread constructor that alters a single browser

  Parameters:
    `scriptSession` - The browser to alter

### Engine

    public Engine(java.util.Collection scriptSessions)

  Http thread constructor that alters a number of browsers

  Parameters:
    `scriptSessions` - A collection of ScriptSessions that we should act on.

Method Detail

### setTimeout

    public void setTimeout(int timeout)

  Set a default timeout value for all calls. 0 (the default) turns timeouts off.

  Parameters:
    `timeout` - The time to wait in milliseconds
  See Also:
    Error handling documentation

### setRpcType

    public void setRpcType(int newType)

  Set the preferred remoting type.

  Parameters:
    `newType` - One of dwr.engine.XMLHttpRequest or dwr.engine.IFrame or dwr.engine.ScriptTag
  See Also:
    Options documentation

### setHttpMethod

    public void setHttpMethod(java.lang.String httpMethod)

  Which HTTP method do we use to send results? Must be one of "GET" or "POST".

  Parameters:
    `httpMethod` - One of `XMLHttpRequest`, `IFrame` or `ScriptTag`
  See Also:
    Options documentation

### setOrdered

    public void setOrdered(boolean ordered)

  Ensure that remote calls happen in the order in which they were sent? (Default: false)

  Parameters:
    `ordered` - True to set call ordering.
  See Also:
    Ordering documentation

### setAsync

    public void setAsync(boolean async)

  Do we ask the XHR object to be asynchronous? (Default: true)

  Parameters:
    `async` - False to become synchronous (not recommended)
  See Also:
    Options documentation

### setActiveReverseAjax

    public void setActiveReverseAjax(boolean activeReverseAjax)

  Does DWR poll the server for updates? (Default: false)

  Parameters:
    `activeReverseAjax` - True/False to turn RA on/off
  See Also:
    Options documentation

### setPollUsingComet

    public void setPollUsingComet(boolean pollComet)

  Does DWR us comet polling? (Default: true)

  Parameters:
    `pollComet` - True/False to use Comet where supported
  See Also:
    Options documentation

### setPollType

    public void setPollType(int newPollType)

  Set the preferred polling type.

  Parameters:
    `newPollType` - One of `XMLHttpRequest`, `IFrame` or `ScriptTag`
  See Also:
    Options documentation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD